import request from '@/utils/request'

// 查询压力管道报告历史列表
export function listHistoryYlgd(query) {
  return request({
    url: '/sems/historyYlgd/list',
    method: 'get',
    params: query
  })
}

// 查询压力管道报告历史详细
export function getHistoryYlgd(id) {
  return request({
    url: '/sems/historyYlgd/' + id,
    method: 'get'
  })
}

// 新增压力管道报告历史
export function addHistoryYlgd(data) {
  return request({
    url: '/sems/historyYlgd',
    method: 'post',
    data: data
  })
}

// 修改压力管道报告历史
export function updateHistoryYlgd(data) {
  return request({
    url: '/sems/historyYlgd',
    method: 'put',
    data: data
  })
}

// 删除压力管道报告历史
export function delHistoryYlgd(id) {
  return request({
    url: '/sems/historyYlgd/' + id,
    method: 'delete'
  })
}

// 导出压力管道报告历史
export function exportHistoryYlgd(query) {
  return request({
    url: '/sems/historyYlgd/export',
    method: 'get',
    params: query
  })
}
